Bug 245365 - www/py-django-jsonfield : Update to 3.1.0
Summary: www/py-django-jsonfield : Update to 3.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-05 03:47 UTC by Wen Heping
Modified: 2020-05-03 07:33 UTC (History)
3 users (show)

See Also:
ultima: maintainer-feedback+


Attachments
Update to 3.1.0 (1.69 KB, text/plain)
2020-04-05 03:47 UTC, Wen Heping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2020-04-05 03:47:38 UTC
Created attachment 213082 [details]
Update to 3.1.0

- Update to 3.1.0
- Switch to python3
- Switch to depends on django22
- Update WWW
Comment 1 Kai Knoblich freebsd_committer 2020-04-06 09:26:25 UTC
(In reply to Wen Heping from comment #0)

There's some confusion with the www/py-django-jsonfield port in contrast to its variants www/py-jsonfield and www/py-jsonfield2. (I leave the repo-copied py-dj22- variants out for now for the sake of brevity).

The upstream repository of www/py-django-jsonfield has the version 1.4.0 and gives also the info that the project is in maintenance mode and should not be used for new projects [1].

The www/py-jsonfield package seems to be the reference now and should be updated to 3.1.0 and assigned to Django 2.2, IMHO.

The www/py-jsonfield2 package is a fork of www/py-jsonfield and the changes were merged back into www/py-jsonfield. Hence the www/py-jsonfield2 package has been deprecated as stated at PyPi [2]. 

From my point of view we should deprecate the www/py-django-jsonfield package but keep it for now to easen the transition of www/py-django_postoffice and www/seahub to Django 2.2.

Once that's done we should either set an expiration date for the www/py-django-jsonfield package or rectify the version to 1.4.0.

CC'ing python@ and sunpoet@ as he's the maintainer of the www/py-jsonfield, www/py-jsonfield2 ports and its repo-copied py-dj22- variants.

--

[1] - https://github.com/adamchainz/django-jsonfield/blob/master/README.rst
[2] - https://pypi.org/project/jsonfield2
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-04-06 20:53:56 UTC
The jsonfield2 project has been deprecated and merged back into jsonfield. That means jsonfield is the only upstream [1] now.

In fact, py-jsonfield (2.1.1) and py-django-jsonfield (2.0.2)[2] are the same thing of different versions. IMHO, it's better to keep the original name without extra django- prefix.

BTW, I still don't know if we're going to remove all py-dj22- ports.

[1] https://github.com/rpkilby/jsonfield
[2] https://github.com/bradjasper/django-jsonfield redirects to [1] now.
Comment 3 Richard Gallamore freebsd_committer 2020-04-07 00:27:11 UTC
I'm waiting for Seafile to officially release there next minor release version. It is currently only officially in beta, but it should be officially released any day now. I have patches ready for those ports (Seafile bundle) but will need some time to test them to make sure I didn't miss anything.

Once that is completed I was planning on upgrading the dependencies but I haven't touched them at the moment because every changelog I have looked at has officially removed python27 support and I don't want to risk breaking any deployments.

I'm not so sure about the Django upgrade, this probably won't be compatible and would definitely need testing. Unfortunately, Seafile has a record for staying on the oldest LTS channel supported.

D12592 was going to solve the static Django dependency problem in ports but it looks like it was rejected by port mgmt. I'm not sure if there is another solution in the works at the moment or if one already exists but it does seem like a problem that needs to be solved.
Comment 4 Richard Gallamore freebsd_committer 2020-04-07 00:28:00 UTC
Forgot to mention, the next minor release for Seafile supports python3 which is why I am waiting on this.
Comment 5 Richard Gallamore freebsd_committer 2020-04-07 01:06:12 UTC
Taking another look at D12592, it hasn't been rejected it is still under review, my mistake.
Comment 6 Richard Gallamore freebsd_committer 2020-04-17 03:48:23 UTC
I'm in favor with sunpoet's solution of only one port being necessary. I don't see the point of having the py-django-jsonfield port any longer and with the merge and rename to py-jsonfield.

Going to update the port to version 2.1.1 and set a deprecation message. Once Seafile has upgraded django I'll change the depends and remove the port pointing to py-jsonfield. This is mainly to prevent delays for updating to v3.
Comment 7 commit-hook freebsd_committer 2020-05-03 07:32:55 UTC
A commit references this bug:

Author: ultima
Date: Sun May  3 07:32:37 UTC 2020
New revision: 533755
URL: https://svnweb.freebsd.org/changeset/ports/533755

Log:
  Updated to 2.1.1

  Added deprecated message suggesting to switch to the name
  changed port. This port will be deleted once www/seahub's
  django version has been upgraded.

  PR:		245365
  Submitted by:	wen

Changes:
  head/www/py-django-jsonfield/Makefile
  head/www/py-django-jsonfield/distinfo
  head/www/py-django-jsonfield/pkg-descr